<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/background">

    <com.google.android.material.appbar.AppBarLayout
        android:id="@+id/appBarLayout"
        android:layout_width="match_parent"
        android:layout_height="56dp"
        android:background="@color/status_bar"
        app:layout_constraintTop_toTopOf="parent">

        <FrameLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <androidx.appcompat.widget.AppCompatImageView
                android:id="@+id/back"
                android:layout_width="56dp"
                android:layout_height="56dp"
                android:src="@drawable/ic_back"
                android:padding="16dp"
                android:foreground="?selectableItemBackground"
                android:tint="@color/white"/>

        </FrameLayout>

    </com.google.android.material.appbar.AppBarLayout>

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/add"
        android:layout_width="160dp"
        android:layout_height="160dp"
        android:layout_marginTop="56dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/appBarLayout"
        android:src="@drawable/ic_add_plan"
        android:tint="@color/white"/>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toBottomOf="@+id/add"
        app:layout_constraintVertical_bias="0.3"
        android:layout_marginTop="48dp"
        app:cardCornerRadius="16dp"
        android:layout_marginHorizontal="24dp">

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingTop="8dp"
            android:paddingBottom="24dp">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/add_your_plan"
                android:textSize="22sp"
                android:layout_gravity="center_horizontal"
                android:layout_marginTop="16dp"
                android:layout_marginBottom="16dp"/>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/textInputEmail"
                style="@style/CustomTextInputLayoutStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="24dp"
                android:layout_marginTop="8dp"
                app:endIconMode="clear_text"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent">

                <com.vicmikhailau.maskededittext.MaskedEditText
                    android:id="@+id/editPlan"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/add_plan_"
                    android:inputType="textAutoComplete"
                    android:maxLength="50"
                    android:maxLines="1" />

            </com.google.android.material.textfield.TextInputLayout>

            <com.google.android.material.textfield.TextInputLayout
                android:id="@+id/textInputPassword"
                style="@style/CustomTextInputLayoutStyle"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="24dp"
                android:layout_marginTop="8dp"
                app:endIconMode="clear_text"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/textInputEmail">

                <com.vicmikhailau.maskededittext.MaskedEditText
                    android:id="@+id/editTime"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:hint="@string/add_time"
                    android:inputType="number"
                    android:maxLength="3"
                    android:minLines="2"
                    android:maxLines="1" />

            </com.google.android.material.textfield.TextInputLayout>

        </androidx.appcompat.widget.LinearLayoutCompat>

    </androidx.cardview.widget.CardView>

    <androidx.appcompat.widget.AppCompatButton
        android:id="@+id/addBtn"
        android:layout_width="100dp"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_add"
        android:text="@string/add"
        android:textColor="@color/black"
        android:layout_marginBottom="48dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>